API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
  1. Person ID
  • Introduction
  • Loyalty Club
    • Loyalty Clubs
      • Introduction
      • Show Loyalty Club
      • List Loyalty Clubs
    • Schema
      • Show Schema
    • Legal Information
      • Show Legal Information
    • Translations
      • List Translations (v4)
      • List Translations (v3)
    • Carbon Offset Program
      • Show Carbon Offset Program Info
    • Cars
      • Show Cars Configuration
      • Show Available Cars Colors
    • Programs
      • Introduction
      • List Programs
      • Show Program
    • Receipts
      • Introduction
      • Show Receipts Configuration
  • Member
    • Authentication
      • OAuth Flow
      • One Time Password
        • Send OTP via SMS
        • Send OTP via SMS by Email
        • Send OTP via Email
        • Send OTP via Email by MSISDN
      • Registration Password
        • Send Registration Password SMS
        • Send Registration Password Email
      • Create Token
      • Revoke Token
      • Show Token Info
    • Profile
      • Public Info
        • Show Member Public Info
        • Show Member Public Info by MSISDN
        • Show Member Public Info by Email
      • Person ID
        • Show Member Person ID
          GET
        • Show Member Person ID by MSISDN
          GET
        • Show Member Person ID by Email
          GET
      • Create Member
        POST
      • Update Member
        PUT
      • Validate Member
        POST
      • Register Member App Token
        POST
      • Show Member
        GET
      • Destroy Member
        DELETE
      • Remove Member Properties
        DELETE
    • Programs
      • Registration
        • Start
        • Confirm
      • Update Member Programs
      • Add Member to Program
      • List Member Programs
      • Remove Member from Program
    • Cars
      • Introduction
      • List Member Cars
      • Create Member Car
      • Show Member Car
      • Update Member Car
      • Renew Member Car
      • Destroy Member Car
      • Lookup a Car
    • Benefits
      • Introduction
      • List Member Benefits
      • Show Member Benefit
    • Verification
      • Send Verification Email
      • Send Verification SMS
      • Verify Email
      • Verify MSISDN
    • Password
      • Update Password
      • Reset Password
      • Send Password Reset Token
    • Integrations
      • Amano Parking Integration
        • Create Card
        • Delete Card
      • Spaycial Integrations
        • Generate Connections URL
        • Generate Connect URL
        • Show Spaycial Connections Status
        • Show Spaycial Feature Settings
        • Update Spaycial Feature Settings
    • Receipts
      • Introduction
      • List Submissions
      • Show Submission
      • Create Submission
      • Update Submission
      • Delete Submission
      • Check Limits Exceeded
    • Misc
      • Checkin to Store
      • Show Messages History
      • Show Messages History (v1)
    • Files
      • Uploads
        • Upload status
        • Start Upload
        • Upload Part
        • Finish Upload
        • Activate Uploaded File
    • Messages
      • Send "delivered" event for push message
      • Send "opened" event for push message
    • Refer A Friend
      • Show Campaign
  • Offers
    • Introduction
    • Offers
      • Show Offers Meta
      • Show Offer
      • Encode Offer
      • List Offers
      • Use Offer
      • Like Offer
      • Unlike Offer
    • Offers Preview
      • Preview Offers Meta
      • Preview Offer
      • Preview Offers List
    • Events
      • Introduction
      • Register "clicked" Event
      • Register "seen" Event
  • Rewards
    • Introduction
    • Rewards Program
      • Show Rewards Program
      • Join To Rewards Program
      • Leave Rewards Program
      • Show Member Rewards Program Status
      • Show Achievements Summary
    • Rewards
      • List Rewards
      • Show Reward
      • List Rewards - Preview
      • List Purchased Rewards
      • Show Purchased Reward
      • Purchase Reward
      • Use Reward
  • Games
    • Introduction
    • Games
      • List Games
      • Show Game Details
      • Show Game Ticket
      • Play Game
      • Issue Game Prize
  • CMS Content
    • Introduction
    • Venue Info
      • Introduction
      • Show Venue Info
    • Components
      • Component Schema Model
      • Show Components Schema
    • Pages
      • Page Model
      • List Pages
      • Show Page
      • Route Page
    • Articles
      • Article Model
      • Articles Categories
        • List Articles Categories
        • Show Articles Categories
      • List Articles
      • Show Article
    • Events
      • Event Model
      • Events Groups
        • Introduction
        • List Events Groups
        • Show Events Group
      • Events Categories
        • List Events Categories
        • Show Events Categories
      • List Events
      • Show Event
    • Job Postings
      • Introduction
      • List Job Postings
      • Show Job Posting
    • Service Messages
      • Introduction
      • List Service Messages
      • Show Service Message
    • Stores
      • Introduction
      • List
      • Show
    • Stores Categories
      • Introduction
      • List Stores Categories
      • Show Stores Category
    • Promotions
      • Introduction
      • List Promotions Collections
      • List Promotions
      • Show Promotion
    • Press Releases
      • Press Release Model
      • List Press Releases
      • Show Press Release
    • Attachments
      • Attachment Model
      • List Attachments
  • Website
    • Introduction
    • Show Website
  • Mobile App
    • Show Homepage
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
IndexPublic API
Management APIUsers APIOperations APIMessaging APIReporting APIML APIData API
  1. Person ID

Show Member Person ID

Pending
GET
https://api.mpc.dev.placewise.com/v3/{loyalty_club_slug}/members/{id}/person_id
API Permit:BL:Api:Members:Check
API Context:Loyalty Club
Authorizations:UserToken
Returns person_id for given member. Please note that person_id cannot be preset in member payload and will be silently ignored. Also, it cannot be updated.
There are 4 possible successful responses:
When member currently exists in database:
{
  "success": true,
  "source": "db", 
  "person_id": 92 
}
When member does not exist but was deleted in last 30 days:
{
  "success": true,
  "source": "storage", 
  "person_id": 92 
}
When member had existed, was deleted (in last 30 days) and was created again so it exists now:
{
  "success": true,
  "source": "db_and_cache", 
  "person_id": null 
}
When member does not exist and never existed or did not exist in last 30 days:
{
  "success": true,
  "source": "not_found", 
  "person_id": null 
}

URL Parameters#

ParameterDescriptionType
idMember's IDinteger

Response Body#

KeyTypeDescription
successbooleanIf query was successful?
sourcestringSource of person_id (possible values are: not_found, db, storage)
person_idintegerMember's person_id

Error Responses#

StatusReason
422Invalid MSISDN param

Example#

When successful, returns JSON structured like this:
{
  "source": "storage", 
  "person_id": 92 
}

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.mpc.dev.placewise.com/v3/infinity-mall/members/1/person_id' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json'
Response Response Example
{}
Previous
Show Member Public Info by Email
Next
Show Member Person ID by MSISDN
Built with